# --- 依赖目录 ---
node_modules/
/dist/

# --- iOS 构建相关 ---
ios/
*.xcworkspace
*.xcodeproj
/ios/build
/ios/Pods
/ios/.xccheckout
/ios/*.moved-aside
/ios/*.pbxuser
/ios/*.mode1v3

# --- Android 构建相关 ---
android/
*.iml
*.aar
*.jks
*.keystore

# --- Expo 编译与缓存 ---
.expo/
web-build/
.expo-shared/

# --- 环境变量与私钥 ---
.env
.env.local
.env.development.local
.env.test.local
.env.production.local

# EAS 构建生成的私钥和配置
eas-build-pre-install.sh
*.p12
*.mobileprovision
*.endpoint
credentials.json

# --- 性能日志 ---
npm-debug.log*
yarn-debug.log*
yarn-error.log*

# --- 编辑器配置 ---
.vscode/
.idea/

# --- 额外忽略 ---
.DS_Store
bun.lock
package-lock.json

supermart-mini/
supermart-app/
